tidy_set_encoding
tidy_warning_count
Tidy Funktionen
PHP Manual

# tidy_setopt

(PECL tidy >= 0.5.2)

tidy_setopt — Updates the configuration settings for the specified tidy document

### Beschreibung

bool tidy_setopt ( string `$option` , mixed `$value` )

tidy_setopt() updates the specified `option` with a new `value`.

### Parameter-Liste

`option`

  The tidy option name. A list of available configuration options may be found at: » http://tidy.sourceforge.net/docs/quickref.html.

`value`

  The tidy option name.

### Rückgabewerte

Gibt bei Erfolg `TRUE` zurück. Im Fehlerfall wird `FALSE` zurückgegeben.

### Beispiele

Beispiel #1 tidy_setopt() example

`<?php
$html = '<p>test</i>';
$tidy = tidy_parse_string($html);
tidy_setopt('indent', FALSE);
?>`

### Anmerkungen

> Hinweis: Diese Funktion steht nur in Tidy 1.0 zur Verfügung. In Tidy 2.0 ist diese Funktion obsolet und wurde entfernt.

### Siehe auch

- tidy_getopt() - Returns the value of the specified configuration option for the tidy document
- tidy_get_config() - Get current Tidy configuration
- tidy_reset_config() - Restore Tidy configuration to default values
- tidy_save_config() - Save current settings to named file

tidy_set_encoding
tidy_warning_count
Tidy Funktionen
PHP Manual